%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\((.*AppIndicator3|Gtk)

Name:           cadence
Version:        0.9.1
Release:        %mkrel 9
Summary:        Set of tools useful for audio production
License:        GPLv2
Group:          Sound/Utilities
URL:            https://github.com/falkTX/Cadence
Source0:        https://github.com/falkTX/Cadence/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         cadence-0.9.0-mga-fix-desktop-files.patch
Patch1:         cadence-0.9.0-qt5-fix.patch
Patch2:         cadence-0.9.1-backport-upstream-fixes-from-git20200604.patch
Patch3:         0001_cadence_aloop_daemon_place_lockfile_into_non_public_patch.txt
Patch4:         0001_cadence_py_wine_ASIO_settings_use_safe_tempfile_patch.txt

BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sip)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtbase5-common
BuildRequires:  python3-qt5-devel
Requires:       jackit
Requires:       python(abi) = %{python3_version}
Requires:       python3dist(sip)
Requires:       python3-dbus
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-svg
Requires:       qtbase5-common
Requires:       cadence-data = %{version}-%{release}
Requires:       cadence-tools = %{version}-%{release}
Requires:       catarina = %{version}-%{release}
Requires:       catia = %{version}-%{release}
Requires:       claudia = %{version}-%{release}
Recommends:     pulseaudio-module-jack
Recommends:     a2jmidid

%description
Cadence is a set of tools useful for audio production.
It's being developed by falkTX, using Python3 and Qt5
(and some C++ where needed).
This package contains the main Cadence application.

%files
%{_bindir}/cadence
%{_datadir}/cadence/src/cadence.py*
%{_datadir}/cadence/src/ui_cadence.py*
%{_datadir}/cadence/src/ui_cadence_*.py*

%{_datadir}/applications/cadence.desktop
%{_datadir}/icons/hicolor/*/apps/cadence.*

%{_sysconfdir}/xdg/autostart/cadence-session-start.desktop
%{_sysconfdir}/X11/xinit/xinitrc.d/61cadence-session-inject

#--------------------------------------------------------------------
%package data
Summary:        Set of tools useful for audio production
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-svg

%description data
This package contains the shared data and modules.

%files data
%dir %{_datadir}/cadence
%dir %{_datadir}/cadence/src
%dir %{_datadir}/cadence/pulse2loopback
%{_datadir}/cadence/src/shared.py*
%{_datadir}/cadence/src/shared_cadence.py*
%{_datadir}/cadence/src/shared_canvasjack.py*
%{_datadir}/cadence/src/shared_settings.py*
%{_datadir}/cadence/src/resources_rc.py*
%{_datadir}/cadence/src/ui_settings_app.py*

%{_datadir}/cadence/src/jacklib.py*
%{_datadir}/cadence/src/jacklib_helpers.py*
%{_datadir}/cadence/src/patchcanvas.py*
%{_datadir}/cadence/src/patchcanvas_theme.py*
%{_datadir}/cadence/src/systray.py*

%{_datadir}/cadence/src/canvaspreviewframe.py*
%{_datadir}/cadence/src/clickablelabel.py*

%{_datadir}/cadence/pulse2loopback/play+rec.pa
%{_datadir}/cadence/pulse2loopback/play.pa


#--------------------------------------------------------------------
%package tools
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       jack_capture

%description tools
This package contains the small tools used in Cadence.

%files tools
%{_bindir}/cadence-*

%{_datadir}/cadence/src/cadence_aloop_daemon.py*
%{_datadir}/cadence/src/cadence_session_start.py*
%{_datadir}/cadence/src/jacksettings.py*
%{_datadir}/cadence/src/logs.py*
%{_datadir}/cadence/src/render.py*

%{_datadir}/cadence/src/ui_logs.py*
%{_datadir}/cadence/src/ui_render.py*
%{_datadir}/cadence/src/ui_settings_jack.py*

%{_datadir}/cadence/pulse2jack/

#--------------------------------------------------------------------
%package -n catarina
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl
Requires:       python3-qt5-xml

%description -n catarina
Catarina is a testing ground for the 'PatchCanvas'
module used in the Cadence tools.

%files -n catarina
%{_bindir}/catarina
%{_datadir}/cadence/src/catarina.py*
%{_datadir}/cadence/src/ui_catarina.py*
%{_datadir}/cadence/src/ui_catarina_*.py*

%{_datadir}/applications/catarina.desktop
%{_datadir}/icons/hicolor/*/apps/catarina.*

#--------------------------------------------------------------------
%package -n catia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl

%description -n catia
extended JACK patchbay
Catia is a nice JACK Audio Patchbay with A2J Bridge integration.
It also includes Jack Transport support and the ability to
render jack projects.

%files -n catia
%{_bindir}/catia
%{_datadir}/cadence/src/catia.py*
%{_datadir}/cadence/src/ui_catia.py*

%{_datadir}/applications/catia.desktop
%{_datadir}/icons/hicolor/*/apps/catia.*

#--------------------------------------------------------------------
%package -n claudia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl
Recommends:     a2jmidid

%description -n claudia
Claudia is a Graphical User Interface to LADISH.
It has more features than gladish, including Jack Transport,
Configurable Canvas, App Templates, Render projects
(realtime or freewheel mode).


%files -n claudia
%{_bindir}/claudia
%{_bindir}/claudia-launcher
%{_datadir}/cadence/src/claudia.py*
%{_datadir}/cadence/src/claudia_database.py*
%{_datadir}/cadence/src/claudia_launcher.py*
%{_datadir}/cadence/src/ui_claudia.py*
%{_datadir}/cadence/src/ui_claudia_*.py*

%{_datadir}/cadence/icons/
%{_datadir}/cadence/templates/

%{_datadir}/applications/claudia*.desktop
%{_datadir}/icons/hicolor/*/apps/claudia*


%prep
%setup -q -n Cadence-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python3|#!%{__python3}|'
rm -R data/unity/
%autopatch -p1

# Fix error: Empty %%files file debugsourcefiles.list
sed -i "s|-O0 -g|%{optflags}|" c++/Makefile.mk

%build
%set_build_flags
%make_build SKIP_STRIPPING=true \
            DEBUG=true \
            BASE_FLAGS=


%install
%make_install PREFIX=%{_prefix}


%changelog
* Tue Dec 26 2023 daviddavid <daviddavid> 0.9.1-9.mga10
+ Revision: 2021534
- rebuild for py3.12

* Wed Oct 11 2023 ns80 <ns80> 0.9.1-8.mga10
+ Revision: 1994459
- add patches for CVE-2023-4378[23] (mga#32361)

* Fri May 27 2022 kekepower <kekepower> 0.9.1-7.mga9
+ Revision: 1860469
- Rebuild with renamed python3-sip6

* Wed Apr 06 2022 umeabot <umeabot> 0.9.1-6.mga9
+ Revision: 1845934
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.9.1-5.mga9
+ Revision: 1778406
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.9.1-4.mga9
+ Revision: 1706027
- rebuild for python 3.9

* Wed Dec 16 2020 umeabot <umeabot> 0.9.1-3.mga8
+ Revision: 1658182
- Rebuild for new Qt5

* Wed Aug 05 2020 wally <wally> 0.9.1-2.mga8
+ Revision: 1611344
- filter out unneeded AppIndicator and Gtk requires

* Mon Jul 27 2020 daviddavid <daviddavid> 0.9.1-1.mga8
+ Revision: 1609228
- new version: 0.9.1
- backport upstream fixes from git20200604

* Mon Mar 02 2020 daviddavid <daviddavid> 0.9.0-9.mga8
+ Revision: 1552975
- drop unavailable ladish dependency

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-8.mga8
+ Revision: 1531657
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 0.9.0-7.mga8
+ Revision: 1440747
- rebuild for python3.8

* Sat Mar 30 2019 umeabot <umeabot> 0.9.0-6.mga7
+ Revision: 1381375
- Qt5 Rebuild

* Tue Jan 08 2019 daviddavid <daviddavid> 0.9.0-5.mga7
+ Revision: 1352710
- update files list (restore __pycache__ reference)
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-4.mga7
+ Revision: 1302158
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 daviddavid <daviddavid> 0.9.0-3.mga7
+ Revision: 1240602
- update files list (no more __pycache__ reference)

* Mon May 21 2018 daviddavid <daviddavid> 0.9.0-2.mga7
+ Revision: 1231228
- new version: 0.9.0 (revert previous unexisting 1.0 release)
- port to PyQt5

* Wed Jan 24 2018 kekepower <kekepower> 1.0-0.git20170707.1.mga7
+ Revision: 1196766
- Add a patch for the desktop files, adding an X- before entries
- Updated to 1.0-git20170707
- Fixed 2 missing Requirements
- Added 2 new files to the data package

* Sat Aug 05 2017 pterjan <pterjan> 0.8.1-0.git20140718.17.mga7
+ Revision: 1135191
- Rebuild for python 3.6

* Thu May 18 2017 animtim <animtim> 0.8.1-0.git20140718.16.mga6
+ Revision: 1103075
- claudia requires ladish

* Thu Oct 06 2016 pterjan <pterjan> 0.8.1-0.git20140718.15.mga6
+ Revision: 1059141
- Do not force sse, not all architectures have it

* Sat Sep 24 2016 neoclust <neoclust> 0.8.1-0.git20140718.14.mga6
+ Revision: 1055743
- Rebuild for ARM

* Mon Jun 27 2016 akien <akien> 0.8.1-0.git20140718.13.mga6
+ Revision: 1037827
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.8.1-0.git20140718.12.mga6
+ Revision: 1037533
- Rebuild for python-sip 4.18
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 13 2015 daviddavid <daviddavid> 0.8.1-0.git20140718.10.mga6
+ Revision: 902987
- BRs python3-sip-devel and python3-qt4-devel

* Thu Oct 08 2015 daviddavid <daviddavid> 0.8.1-0.git20140718.9.mga6
+ Revision: 887283
- rebuild for python 3.5
- fix requires for python(abi)= %%{python3_version}

* Tue Sep 22 2015 tv <tv> 0.8.1-0.git20140718.8.mga6
+ Revision: 882261
- use our flags
- do not strip
- re-enable debuginfo

* Tue Sep 22 2015 animtim <animtim> 0.8.1-0.git20140718.7.mga6
+ Revision: 882238
- update install path on some files for cadence
+ neoclust <neoclust>
- Fix build with new rpm ( empty debuginfo)

* Fri Jan 23 2015 animtim <animtim> 0.8.1-0.git20140718.5.mga5
+ Revision: 812023
- add missing jack_capture Requires

* Sun Jan 18 2015 animtim <animtim> 0.8.1-0.git20140718.4.mga5
+ Revision: 811263
- add missing requires for python3-qt4

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-0.git20140718.3.mga5
+ Revision: 746191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-0.git20140718.2.mga5
+ Revision: 678280
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 21 2014 animtim <animtim> 0.8.1-0.git20140718.1.mga5
+ Revision: 666340
- fix invalid-desktopfile
- imported package cadence

